No longer useful Rated 1 out of 5 stars

SeaMonkey 2.40 has a later version bundled, what still has "<em:version>1.0pre</em:version>" in it, what is worrying, because the contents of the later version is rather different to the contents of this one. I doubt that the version of this extension which is hosted on AMO still can be useful for SeaMonkey users.

Rated 5 out of 5 stars